<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="pt">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Feb 18 11:40:32 GMT 2020 -->
<title>C-Index</title>
<meta name="date" content="2020-02-18">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="C-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-2.html">Prev Letter</a></li>
<li><a href="index-4.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-3.html" target="_top">Frames</a></li>
<li><a href="index-3.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;<a name="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><span class="memberNameLink"><a href="../Game/Score.html#compareTo-Game.Score-">compareTo(Score)</a></span> - Method in class Game.<a href="../Game/Score.html" title="class in Game">Score</a></dt>
<dd>
<div class="block">Used to sort scores by health</div>
</dd>
<dt><a href="../ConfigReader/package-summary.html">ConfigReader</a> - package ConfigReader</dt>
<dd>&nbsp;</dd>
<dt><a href="../ConfigReader/ConfigReader.html" title="class in ConfigReader"><span class="typeNameLink">ConfigReader</span></a> - Class in <a href="../ConfigReader/package-summary.html">ConfigReader</a></dt>
<dd>
<div class="block">This class is used to read JSON file with map and return some details about that map</div>
</dd>
<dt><span class="memberNameLink"><a href="../ConfigReader/ConfigReader.html#ConfigReader--">ConfigReader()</a></span> - Constructor for class ConfigReader.<a href="../ConfigReader/ConfigReader.html" title="class in ConfigReader">ConfigReader</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ArrayListPackage/ArrayList.html#contains-T-">contains(T)</a></span> - Method in class ArrayListPackage.<a href="../ArrayListPackage/ArrayList.html" title="class in ArrayListPackage">ArrayList</a></dt>
<dd>
<div class="block">Method that verifies if a given element is in the list</div>
</dd>
<dt><span class="memberNameLink"><a href="../ArrayListPackage/ListADT.html#contains-T-">contains(T)</a></span> - Method in interface ArrayListPackage.<a href="../ArrayListPackage/ListADT.html" title="interface in ArrayListPackage">ListADT</a></dt>
<dd>
<div class="block">Returns true if this list contains the specified target element.</div>
</dd>
<dt><span class="memberNameLink"><a href="../LinkedHeapPackage/BinaryTreeADT.html#contains-T-">contains(T)</a></span> - Method in interface LinkedHeapPackage.<a href="../LinkedHeapPackage/BinaryTreeADT.html" title="interface in LinkedHeapPackage">BinaryTreeADT</a></dt>
<dd>
<div class="block">Returns true if the binary tree contains an element that matches the
 specified element and false otherwise.</div>
</dd>
<dt><span class="memberNameLink"><a href="../LinkedHeapPackage/LinkedBinaryTree.html#contains-T-">contains(T)</a></span> - Method in class LinkedHeapPackage.<a href="../LinkedHeapPackage/LinkedBinaryTree.html" title="class in LinkedHeapPackage">LinkedBinaryTree</a></dt>
<dd>
<div class="block">Determines if a specified target is in the tree</div>
</dd>
<dt><span class="memberNameLink"><a href="../LinkedHeapPackage/LinkedBinaryTree.html#count">count</a></span> - Variable in class LinkedHeapPackage.<a href="../LinkedHeapPackage/LinkedBinaryTree.html" title="class in LinkedHeapPackage">LinkedBinaryTree</a></dt>
<dd>
<div class="block">Nº de nodos</div>
</dd>
<dt><span class="memberNameLink"><a href="../QueuePackage/LinkedQueue.html#count">count</a></span> - Variable in class QueuePackage.<a href="../QueuePackage/LinkedQueue.html" title="class in QueuePackage">LinkedQueue</a></dt>
<dd>
<div class="block">Number of elements in the queue</div>
</dd>
<dt><span class="memberNameLink"><a href="../StackPackage/LinkedStack.html#count">count</a></span> - Variable in class StackPackage.<a href="../StackPackage/LinkedStack.html" title="class in StackPackage">LinkedStack</a></dt>
<dd>
<div class="block">Number of elements on the stack</div>
</dd>
<dt><span class="memberNameLink"><a href="../Game/Game.html#createVertex-Game.Room-">createVertex(Room)</a></span> - Method in class Game.<a href="../Game/Game.html" title="class in Game">Game</a></dt>
<dd>
<div class="block">Verifies if a vertex is in the network, if not adds it to the network</div>
</dd>
<dt><span class="memberNameLink"><a href="../ArrayListPackage/ArrayList.arrayListIterator.html#current">current</a></span> - Variable in class ArrayListPackage.<a href="../ArrayListPackage/ArrayList.arrayListIterator.html" title="class in ArrayListPackage">ArrayList.arrayListIterator</a></dt>
<dd>
<div class="block">Position of the current element</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-2.html">Prev Letter</a></li>
<li><a href="index-4.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-3.html" target="_top">Frames</a></li>
<li><a href="index-3.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
